API ReferenceapiaffiliatesGET /v1/public/affiliates/{user_id}

GET /v1/public/affiliates/\{user_id\}

Service: affiliates · operationId: (none)

Public ambassador profile data for a user

Required scopes

(no scope declared — review service config)

Path parameters

  • user_id (string) required

Responses

200 Public affiliate profile

{
  "type": "object",
  "properties": {
    "affiliate_id": {
      "type": "string"
    },
    "user_id": {
      "type": "string"
    },
    "referral_code": {
      "type": "string"
    },
    "status": {
      "type": "string"
    },
    "brand_id": {
      "type": "string"
    },
    "social_links": {
      "type": "object",
      "properties": {
        "instagram": {
          "type": [
            "string",
            "null"
          ]
        },
        "twitter": {
          "type": [
            "string",
            "null"
          ]
        },
        "youtube": {
          "type": [
            "string",
            "null"
          ]
        }
      },
      "required": [
        "instagram",
        "twitter",
        "youtube"
      ]
    },
    "created_at": {
      "type": "string"
    },
    "updated_at": {
      "type": "string"
    }
  },
  "required": [
    "affiliate_id",
    "user_id",
    "referral_code",
    "status",
    "brand_id",
    "social_links",
    "created_at",
    "updated_at"
  ]
}

404 Affiliate not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://affiliates.platform.loop.health/v1/public/affiliates/{user_id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"